{% set reversed_parents = parents|reverse %}
<span class="chill-entity entity-social-action">
  <span class="{% if not options['no-badge'] %}badge bg-light text-dark{% endif %}">
    {%- for p in reversed_parents %}
    <span class="parent-{{ loop.revindex0 }}">
      {{ p.title|localize_translatable_string }}{{ options['default.separator'] }}
    </span>
    {%- endfor -%}
    <span class="child">
      {{ socialAction.title|localize_translatable_string }}
    </span>
  </span>
</span>
